/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreValue;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreValueRecord extends TableRecordImpl<VCoreValueRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_value.value_lang</code>.
     */
    public void setValueLang(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_value.value_lang</code>.
     */
    public String getValueLang() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_value.varvalue</code>.
     */
    public void setVarvalue(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_value.varvalue</code>.
     */
    public Integer getVarvalue() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_value.value_order</code>.
     */
    public void setValueOrder(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_value.value_order</code>.
     */
    public Integer getValueOrder() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_value.fk_value_valuelist</code>.
     */
    public void setFkValueValuelist(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_value.fk_value_valuelist</code>.
     */
    public Integer getFkValueValuelist() {
        return (Integer) get(3);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreValueRecord
     */
    public VCoreValueRecord() {
        super(VCoreValue.V_CORE_VALUE);
    }

    /**
     * Create a detached, initialised VCoreValueRecord
     */
    public VCoreValueRecord(String valueLang, Integer varvalue, Integer valueOrder, Integer fkValueValuelist) {
        super(VCoreValue.V_CORE_VALUE);

        setValueLang(valueLang);
        setVarvalue(varvalue);
        setValueOrder(valueOrder);
        setFkValueValuelist(fkValueValuelist);
        resetChangedOnNotNull();
    }
}
